<?php
ob_start();
require_once 'inc/mysqli.php';
include 'inc/functions.php';

$stop_cached = true;

$title = $_GET['q'].' - поиск mp3 музыки в хорошем качестве'.(!empty($_GET['page']) ? ' | Страница '.$_GET['page'] : null);
$desc = 'Воспользовавшись нашим поиском Вы найдете '.$_GET['q'].', а так же множество другой музыки в отличном качестве совершенно бесплатно'.(!empty($_GET['page']) ? ' | Страница '.$_GET['page'] : null);
$key = 'поиск, mp3, музыки, хорошем, качестве, бесплатно, совершенно, множество, нашим';

include 'inc/head.php';

	if(empty($_GET['q'])){
		if(empty($_POST['q'])){
			header('Location: /'); exit;
		}
		
		header('Location: /search.php?q='.$_POST['q']);
		
	}
	
	?>
<div class="left-menu">
  <div class="main-block">
    <div class="block-title"><h1>Поиск музыки: <?=htmlspecialchars($_GET['q'])?></h1><img src="<?=URL?>style/img/title.png" alt="Поиск музыки: <?=htmlspecialchars($_GET['q'])?>"></div>
        <ul class="playlist">

			<?php 
				$num = set('pages', $db); 
				$posts  = $db->query("SELECT `id` FROM `files` WHERE `artist` LIKE ?s or `title` LIKE ?s or `name_full` LIKE ?s", '%'.$_GET['q'].'%', '%'.$_GET['q'].'%', '%'.$_GET['q'].'%');
				$total = intval(($db->numRows($posts) - 1) / $num) + 1; 
				$page = (isset($_GET['page']) ? intval($_GET['page']) : 1);
				if(empty($page) or $page < 0) $page = 1;  
				if($page > $total) $page = $total; 
				$start = $page * $num - $num;
				
				if($db->numRows($posts) == 0){
					echo 'Поиск не дал результатов:(';
				}
				
				$data = $db->getAll("SELECT * FROM `files` WHERE `artist` LIKE ?s or `title` LIKE ?s or `name_full` LIKE ?s ORDER BY `year` DESC LIMIT ?i, ?i", '%'.$_GET['q'].'%', '%'.$_GET['q'].'%', '%'.$_GET['q'].'%', $start, $num);
				foreach($data as $file){
			?>
			
				<li>
                    <div class="playlist-btn">
						<a rel="nofollow" href="javascript:void(0);" class="playlist-play no-ajax" data-url="<?=URL?>play/<?=base64_encode($file['filename'])?>/" title="Слушать <?=$file['name_full']?>">(Слушать <?=$file['name_full']?>)</a>
                    </div>

                    <div class="playlist-right">
                        <span class="playlist-duration"><?=$file['playtime_string']?></span>
                    </div>

				<a href="/song/<?=$file['id']?>/<?=rus2eng(str2url($file['artist'].' '.$file['title']))?>/">
                    <div class="playlist-name marquee">
						<span class="playlist-name-artist"><b><?=$file['artist']?></b></span><br />
						<span class="playlist-name-title"><em><?=$file['title']?></em></span>
                    </div>
				</a>
                </li>
			
			<?php
				}
			?>

        </ul>
		<?php 
			if($total > 1){
				echo '<ul class="listalka">';
				
				if ($page != 1 && $page > 5) $pervpage = '<a href= /search.php?q='.$_GET['q'].'&page=1>1</a>'; 
				if ($page != $total && $page <= ($total-5)) $endpage = ' <a href= /search.php?q='.$_GET['q'].'&page='. $total .'>'.$total.'</a>'; 

				if($page - 4 > 0) $page4left = ' <a href= /search.php?q='.$_GET['q'].'&page='. ($page - 4) .'>'. ($page - 4) .'</a>'; 
				if($page - 3 > 0) $page3left = ' <a href= /search.php?q='.$_GET['q'].'&page='. ($page - 3) .'>'. ($page - 3) .'</a>'; 
				if($page - 2 > 0) $page2left = ' <a href= /search.php?q='.$_GET['q'].'&page='. ($page - 2) .'>'. ($page - 2) .'</a>'; 
				if($page - 1 > 0) $page1left = '<a href= /search.php?q='.$_GET['q'].'&page='. ($page - 1) .'>'. ($page - 1) .'</a>'; 
				if($page + 4 <= $total) $page4right = '<a href= /search.php?q='.$_GET['q'].'&page='. ($page + 4) .'>'. ($page + 4) .'</a>'; 
				if($page + 3 <= $total) $page3right = '<a href= /search.php?q='.$_GET['q'].'&page='. ($page + 3) .'>'. ($page + 3) .'</a>'; 
				if($page + 2 <= $total) $page2right = '<a href= /search.php?q='.$_GET['q'].'&page='. ($page + 2) .'>'. ($page + 2) .'</a>'; 
				if($page + 1 <= $total) $page1right = '<a href= /search.php?q='.$_GET['q'].'&page='. ($page + 1) .'>'. ($page + 1) .'</a>'; 

				echo (isset($pervpage) ? '<li>'.$pervpage.'</li>' : null).(isset($page4left) ? '<li>'.$page4left.'</li>' : null);
				echo (isset($page3left) ? '<li>'.$page3left.'</li>' : null).(isset($page2left) ? '<li>'.$page2left.'</li>' : null);
				echo (isset($page1left) ? '<li>'.$page1left.'</li>' : null).(isset($page) ? '<li><em>'.$page.'</em></li>' : null);
				echo (isset($page1right) ? '<li>'.$page1right.'</li>' : null).(isset($page2right) ? '<li>'.$page2right.'</li>' : null);
				echo (isset($page3right) ? '<li>'.$page3right.'</li>' : null).(isset($page4right) ? '<li>'.$page4right.'</li>' : null);
				echo (isset($endpage) ? '<li>'.$endpage.'</li>' : null);
				
				echo '</ul>';
			}
			?>
</div>
<div style="clear: both;"></div>
</div>

<?php include 'inc/right.php'; ?>
<?php include 'inc/foot.php'; ?>